
#ifndef KPLOTTING_EXPORT_H
#define KPLOTTING_EXPORT_H

#ifdef KPLOTTING_STATIC_DEFINE
#  define KPLOTTING_EXPORT
#  define KPLOTTING_NO_EXPORT
#else
#  ifndef KPLOTTING_EXPORT
#    ifdef KF6Plotting_EXPORTS
        /* We are building this library */
#      define KPLOTTING_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KPLOTTING_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KPLOTTING_NO_EXPORT
#    define KPLOTTING_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KPLOTTING_DECL_DEPRECATED
#  define KPLOTTING_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KPLOTTING_DECL_DEPRECATED_EXPORT
#  define KPLOTTING_DECL_DEPRECATED_EXPORT KPLOTTING_EXPORT KPLOTTING_DECL_DEPRECATED
#endif

#ifndef KPLOTTING_DECL_DEPRECATED_NO_EXPORT
#  define KPLOTTING_DECL_DEPRECATED_NO_EXPORT KPLOTTING_NO_EXPORT KPLOTTING_DECL_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KPLOTTING_NO_DEPRECATED
#    define KPLOTTING_NO_DEPRECATED
#  endif
#endif
#include <kplotting_version.h>

#define KPLOTTING_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KPLOTTING_NO_DEPRECATED) && !defined(KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KPLOTTING_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KPLOTTING_NO_DEPRECATED_WARNINGS) && !defined(KPLOTTING_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KPLOTTING_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KPLOTTING_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KPLOTTING_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KPLOTTING_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KPLOTTING_NO_DEPRECATED)
#  undef KPLOTTING_DEPRECATED
#  define KPLOTTING_DEPRECATED_EXPORT KPLOTTING_EXPORT
#  define KPLOTTING_DEPRECATED_NO_EXPORT KPLOTTING_NO_EXPORT
#elif defined(KPLOTTING_NO_DEPRECATED_WARNINGS)
#  define KPLOTTING_DEPRECATED
#  define KPLOTTING_DEPRECATED_EXPORT KPLOTTING_EXPORT
#  define KPLOTTING_DEPRECATED_NO_EXPORT KPLOTTING_NO_EXPORT
#else
#  define KPLOTTING_DEPRECATED KPLOTTING_DECL_DEPRECATED
#  define KPLOTTING_DEPRECATED_EXPORT KPLOTTING_DECL_DEPRECATED_EXPORT
#  define KPLOTTING_DEPRECATED_NO_EXPORT KPLOTTING_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KPLOTTING_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KPLOTTING_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KPLOTTING_NO_DEPRECATED
#  define KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT KPLOTTING_VERSION
#endif
#ifdef KPLOTTING_NO_DEPRECATED_WARNINGS
#  define KPLOTTING_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KPLOTTING_DEPRECATED_WARNINGS_SINCE
#  ifdef KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KPLOTTING_DEPRECATED_WARNINGS_SINCE KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KPLOTTING_DEPRECATED_WARNINGS_SINCE KPLOTTING_VERSION
#  endif
#endif

#ifndef KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KPLOTTING_DEPRECATED
#  define KPLOTTING_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KPLOTTING_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KPLOTTING_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KPLOTTING_EXPORT_H */
